$(document).ready(function () {
    'use strict';

    if ($('#wrapperWidth').length) {
        $('#wrapperWidth').text($('.wrapper').css('max-width'));
        $('#gutterWidth').text($('.wrapper').css('min-width'));
    }


    if ($('.js_buttonActive').length) {
        var timer = setInterval(function () {
            $('.js_buttonActive').toggleClass('busy');
        }, 4000);
    }

    if ($('#inputWithErrors').length) {
        $('#inputWithErrors').on('click', function () {
            $(this).parents('.row').toggleClass('errorWrap');
        });
    }

    if ($('#inputWithResolvedErrors').length) {
        $('#inputWithResolvedErrors').on('click', function () {
            $(this).parents('.row').toggleClass('successWrap');
        });
    }

    if ($('.js_buttonClickStyleGuide').length) {
        $('.js_buttonClickStyleGuide').on('click', function (e) {
            e.preventDefault();
            $('.js_buttonClickStyleGuide').toggleClass('busy');
        });
    }

}); // document ready
